[jitsi-dev] jidesha not working


#1

Hello all,

I dont get jidesha running. I change the setting from ext to webrtc , set the ID, downloading the souce and editing to my needs.
The generated firefox xpi is not installed cause its telling about security risk and its on a block list. I had a look to block list but was not able to find jidesha in it.

Under chromium I see nothing now, clicking the desktop sharing it does noting.

Im under ubuntu 14/15.04_x64, firefox41, chromium 45

Can someone help?

Tia
Stefan


#2

Hi Stefan,

Hello all,

I dont get jidesha running. I change the setting from ext to webrtc ,
set the ID, downloading the souce and editing to my needs.
The generated firefox xpi is not installed cause its telling about
security risk and its on a block list. I had a look to block list but
was not able to find jidesha in it.

Firefox will not allow you to install extensions which are not signed, unless you specifically flip a switch in about:config[1]. You can get your version of the extension signed by uploading it to AMO[2].

Note that we have two separate jidesha extensions -- one for chrome and one for firefox. Their setup is independent, so any issues should be handled separately.

Regards,
Boris

[1] https://wiki.mozilla.org/Addons/Extension_Signing#FAQ
[2] https://addons.mozilla.org/en-US/firefox/

···

On 02/10/15 12:47, Stefan Fuhrmann wrote:


#3

Hello Boris,

Firefox will not allow you to install extensions which are not signed,
unless you specifically flip a switch in about:config[1]. You can get
your version of the extension signed by uploading it to AMO[2].

Note that we have two separate jidesha extensions -- one for chrome and
one for firefox. Their setup is independent, so any issues should be
handled separately.

Regards,
Boris

[1] https://wiki.mozilla.org/Addons/Extension_Signing#FAQ
[2] https://addons.mozilla.org/en-US/firefox/

thanks for the hints!
I found a mistake by me cause I didnt now that I have to create the ID first.
I have done that and genarate a new xpi.
Now Im getting the error during install:
Jidesha coulld not be installed cause its not compatible with firefox 41.

my install.rdf:

<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:em="http://www.mozilla.org/2004/em-rdf#">

  <Description about="urn:mozilla:install-manifest">
    <em:id>{06BF4706-69A6-11E5-B5CA-019C1D5D46B0}</em:id>
    <em:name>Jidesha</em:name>
    <em:description>Jitsi-Meet Desktop Sharing: enables screen sharing for the
Jitsi-Meet application.</em:description>
    <em:version>0.1.1</em:version>
    <em:creator>Jitsi</em:creator>
    <em:homepageURL>https://github.com/jitsi/jidesha/</em:homepageURL>
    <em:type>2</em:type>
    <em:bootstrap>true</em:bootstrap>

    <!-- Mozilla Firefox -->
    <em:targetApplication>
      <Description>
        <em:id>{06BF4706-69A6-11E5-B5CA-019C1D5D46B0}</em:id>
        <em:minVersion>40.0</em:minVersion>
        <em:maxVersion>44.0</em:maxVersion>
      </Description>
    </em:targetApplication>
  </Description>
</RDF>

Can someone help?

Tia
Stefan

···

Am Freitag, 2. Oktober 2015, 17:43:54 schrieb Boris Grozev: